<!DOCTYPE html>
<html lang="pt-br">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Rocket.Q - Perguntas e Respostas</title>

    <!-- CSS -->
    <link rel="stylesheet" href="/styles/global.css">
    <link rel="stylesheet" href="/styles/room.css">
    <link rel="stylesheet" href="/styles/modal.css">

    <!-- Fonts -->
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Open+Sans&family=Poppins:wght@400;500;700&display=swap" rel="stylesheet">
</head>
<body>
    <div id="room" class="content">

        <header>
            <a href="/"><img src="/images/logo.svg" alt="Rocket.Q Logo" /></a>

            <div class="buttons">
                <div id="room-id" class="button outlined" data-id="<%= roomId %>">
                    #<%= roomId %>
                    <img src="/images/copy.svg" alt="Copiar número da sala" />
                </div> 
                <a href="/create-pass" class="button">
                    <img src="/images/users-white.svg" alt="Criar uma sala" />
                    Criar sala
                </a>
            </div>

        </header>


        <main>
            <section id="question-form">
                <h2>Faça sua pergunta</h2>
                <form action="/question/create/<%= roomId %>" method="POST">
                    <label for="question" class="sr-only">O que você quer perguntar?</label>
                    <textarea placeholder="O que você quer perguntar?" id="question" name="question"></textarea>
                    <footer>
                        <div>
                            <img src="/images/lock.svg" alt="Cadeado" />
                            Esta pergunta é anônima
                        </div>
                        <button>Enviar</button>
                    </footer>
                </form>
            </section>

            <section id="questions">
                <h2 class="sr-only">Perguntas da comunidade</h2>
                <div class="questions">

                    <% if (!areQuestions) { %> 
                        <%- include('./parts/noquestion') %> 
                    <% } %> 

                    <% questions.forEach(question => { %>
                        <div class="question-wrapper">
                            <div class="question-content">
                                <div class="user">
                                    <img src="/images/user.svg" alt="user" />
                                </div>
                                <div class="question">
                                    <p><%= question.title %> </p>
                                </div>
                            </div>
                            <div class="actions">
                                <a class="check" data-id="<%= question.id %>"><img data-id="<%= question.id %>" src="/images/check.svg" alt="Marcar como lida" />Marcar como lida</a>
                                <a class="delete" data-id="<%= question.id %>"><img data-id="<%= question.id %>" src="/images/trash.svg" alt="Excluir" />Excluir</a>
                            </div>
                        </div>
                    <% }) %> 
                    
                    <% questionsRead.forEach(question => { %> 
                        <div class="question-wrapper read">
                            <div class="question-content">
                                <div class="user">
                                    <img src="/images/user.svg" alt="user" />
                                </div>
                                <div class="question">
                                    <p><%= question.title %></p>
                                </div>
                            </div>
                            <div class="actions">
                                <a class="delete" data-id="<%= question.id %>"><img data-id="<%= question.id %>" src="/images/trash.svg" alt="Excluir" />Excluir</a>
                            </div>
                        </div>
                    <% }) %> 

                </div>
            </section>
        </main>

    </div>


    <!----- Modal ----->
    <div class="modal-wrapper">
        <div class="modal">
            <h2>Excluir Pergunta</h2>
            <p>Tem certeza de que deseja excluir essa pergunta?</p>

            <form action="#" method="POST">
                <label for="password" class="sr-only">Digite sua senha admin</label>
                <input type="password" name="password" id="password" placeholder="Digite sua senha">

                <div class="buttons">
                    <div class="button cancel gray">Cancelar</div>
                    <button class="red">Sim, excluir</button>
                </div>
            </form>
        </div>
    </div>
    
    <!----- Scripts ----->
    <script type="module" src="/scripts/main.js"></script>
</body>
</html>
